# MSP::CCS::UTM Class Reference

`#include <UTM.h>`

Inheritance diagram for MSP::CCS::UTM:

List of all members.

## Public Member Functions

| UTM (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, long override)
| UTM (const UTM &u)
| ~UTM (void)
UTM & | operator= (const UTM &u)
UTMParameters * | getParameters () const
MSP::CCS::UTMCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::UTMCoordinates *utmCoordinates)

## Detailed Description

Definition at line 96 of file UTM.h.

## Constructor & Destructor Documentation

UTM::UTM | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | long | override |
| ) |  |  |

Definition at line 128 of file UTM.cpp.

UTM::UTM | ( | const UTM & | u | ) |

Definition at line 186 of file UTM.cpp.

UTM::~UTM | ( | void |  | ) |

Definition at line 203 of file UTM.cpp.

## Member Function Documentation

MSP::CCS::UTMCoordinates * UTM::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 251 of file UTM.cpp.

MSP::CCS::GeodeticCoordinates * UTM::convertToGeodetic | ( | MSP::CCS::UTMCoordinates * | utmCoordinates | ) |

Definition at line 371 of file UTM.cpp.

UTMParameters * UTM::getParameters | ( |  | ) | const

Definition at line 236 of file UTM.cpp.

UTM & UTM::operator= | ( | const UTM & | u | ) |

transverseMercator->operator=( *u.transverseMercator );

Definition at line 213 of file UTM.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/utm/UTM.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/utm/UTM.cpp